server:
  #端口号
  port: 8089
  #tomcat 日志
  tomcat:
    accesslog:
      buffered: true
      directory: D:/logs/thmz
      enabled: true
      file-date-format: .yyyy-MM-dd
      pattern: common
      prefix: access_log
      rename-on-rotate: false
      request-attributes-enabled: false
      rotate: true
      suffix: .log
#项目名，如果不设定，默认是 /
  servlet:
    context-path: "/thmz"
spring:
  servlet:
    multipart:
      #单个文件大小
      max-file-size: 20MB
      #单次请求总文件大小
      max-request-size: 100MB
  datasource:
    lis:
      jdbc-url: "jdbc:sqlserver://172.16.32.178:1433;databaseName=eLimsCore"
      username: "sa"
      password: "hnthxyyy"
      driver-class-name: "com.microsoft.sqlserver.jdbc.SQLServerDriver"
      # Hikari connection pool
      type: "com.zaxxer.hikari.HikariDataSource"
      # 连接池中允许的最小连接数。
      minimum-idle: 5
      # 连接池中允许的最大连接数。
      maximum-pool-size:  15
      # 自动提交
      auto-commit:  true
      # 一个连接idle状态的最大时长（毫秒），超时则被释放（retired）
      idle-timeout: 60000
      # 连接池名字
      pool-name:  'DatebookHikariCP_lis'
      # 一个连接的生命时长（毫秒），超时而且没被使用则被释放（retired） 缺省:30分钟，建议设置比数据库超时时长少30秒
      max-lifetime: 1800000
      # 等待连接池分配连接的最大时长（毫秒），超过这个时长还没可用的连接则发生SQLException
      connection-timeout: 60000
      login-timeout: 5
      # 数据库连接测试语句
      connection-test-query:  SELECT 1
      validation-timeout: 5000
    his:
      jdbc-url: "jdbc:sqlserver://172.16.32.168:1433;databaseName=thxyhisdb"
      username: "sa"
      password:
      driver-class-name: "com.microsoft.sqlserver.jdbc.SQLServerDriver"
      # Hikari connection pool
      type: "com.zaxxer.hikari.HikariDataSource"
      minimum-idle: 5
      maximum-pool-size:  15
      auto-commit:  true
      idle-timeout: 60000
      pool-name:  'DatebookHikariCP_his'
      max-lifetime: 1800000
      connection-timeout: 60000
      connection-test-query:  SELECT 1
      validation-timeout: 5000
    thmz:
      jdbc-url: "jdbc:mariadb://172.16.32.160:3306/thyy_mz_system?useUnicode=true&characterEncoding=utf-8"
      username: "root"
      password: "thyy@2018"
      driver-class-name: "org.mariadb.jdbc.Driver"
      type: "com.zaxxer.hikari.HikariDataSource"
      minimum-idle: 5
      maximum-pool-size:  15
      auto-commit:  true
      idle-timeout: 60000
      pool-name:  'DatebookHikariCP_thmz'
      max-lifetime: 1800000
      connection-timeout: 60000
      connection-test-query:  SELECT 1
      validation-timeout: 5000
  devtools:
    restart:
      enabled: true
      #该目录下的内容修改不重启
      exclude: images/**
    livereload:
      port: 35730
  thymeleaf:
    cache: false






#配置项：开启下划线到驼峰的自动转换. 作用：将数据库字段根据驼峰规则自动注入到对象属性。
mybatis:
  configuration:
    map-underscore-to-camel-case: true


#打印SQL信息
logging:
  level:
    cn.hnthyy.thmz.mapper: info



#企业微信消息服务地址生产环境
serviceUrl: "http://webhis.thyy.cn:8706/sendWxInfo/send"

#卡号变更通知开关
sendNoticeToHaiCi: true
#就诊状态通知开关
sendNoticeToPatient: true
#是否修改LIS数据开关
updateLisData: true
#海慈开放服务地址生产环境
#haiciServiceUrl: "https://api.med.gzhc365.com/openapi/health"

#泰和微信开放服务地址生产环境
haiciServiceUrl: "http://192.168.200.3:8805/wxserver"

#泰和微信缴费服务地址生产环境
wxPayOrderServiceUrl: "http://webhis.thyy.cn:8706"

#特殊门诊生产地址
tsmzServiceUrl: "http://webhis.thyy.cn:8706/markMtFees"

#流行病调查问卷生产地址
lxbdcwjUrl: "http://csth.hnthhz.com:8083/assessments/covid/"

#医技预约审核驳回回调地址
callBackYJYYUrl: "https://open.weixin.qq.com/connect/oauth2/authorize?appid=wxbde6b16acad84204&redirect_uri=http://staticweb.hnthyy.cn/wxserver/redirect/page2?to=resignOrRefund_"

#叫号通知接口地址
notifyServiceUrl: "http://webhis.thyy.cn:8706/triage/notify"
